This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 839255 - Out of Memory erros on 256MB system when /.autorelabel
Out of Memory erros on 256MB system when /.autorelabel
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts (Show other bugs)
6.3
i686 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 07:46 EDT by Jorge Fábregas
Modified: 2016-11-25 08:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-15 11:33:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing actual errors (13.04 KB, image/png)
2012-07-11 07:46 EDT, Jorge Fábregas
no flags Details

  None (edit)
Description Jorge Fábregas 2012-07-11 07:46:37 EDT
Created attachment 597542 [details]
Screenshot showing actual errors

Description of problem: When relabeling a VM with 256MB (by means of placing the /.autorelabel file) some "Out of memory" errors are shown (please see attached screenshot).

I first encountered this with a CentOS 6.3 VM and eventually with RHEL6.3.


Version-Release number of selected component (if applicable):

policycoreutils-2.0.83-19.24.el6.i686


Steps to Reproduce:
1. Install RHEL 6.3 
2. After installation, change the VM memory to 256MB
3. touch /.autorelabel & restart
  
Actual results:
Out of memory errors are shown


Expected results:
Just the relabeling related messages

Additional info:

free -m (output):

             total       used       free     shared    buffers     cached
Mem:           243         93        149          0          6         42
-/+ buffers/cache:         44        198
Swap:         1023          0       1023
Comment 2 Daniel Walsh 2012-07-11 14:18:44 EDT
A potential fix for this would be to no longer run genhomedircon on systems with limited memory.

#!/bin/sh
free | awk '{ if ( NR == 2 ) { if ( $4 < 25000 ) { exit ; }}}'
/usr/sbin/semodule -Bn
Comment 3 RHEL Product and Program Management 2012-12-14 03:17:54 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Lukáš Nykrýn 2013-07-15 11:33:46 EDT
I think that minimal requirements for rhel6 specify 512MB of RAM.

Note You need to log in before you can comment on or make changes to this bug.